Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I installed ubuntu 12.04 LTS server on an old PC. This PC has a wireless card (Netgear wg311v3). This computer now has no access to Internet so whatever I do I transfer it from another PC. I tried to install a driver for Windows with the help of ndiswrapper but with no success.

What I did is that I downloaded the source file of ndiswrapper from here and tried to compile it as instructed from here.

So I run the command make (from within the directory /usr/src/ndiswrapeer-1.57) and the output is this:

make -C utils
make[1]:Entering directory '/usr/src/ndiswrapper-1.57/utils'
make[1]:Nothing to be done for 'all'
…
Makefile:36: *** Cannot find kernel version in /lib/modules/3.2.0-29-generic-pae/build, is it configured?. Stop.
make: *** [driver] Error 2

Does anyone know why it throws error?

share|improve this question
1  
Trying to get the big picture here. Are you sure you need to use ndiswrapper? How is lspci -nn (for PCI) or lsusb listing this device? It should be possible using this device natively, probably by installing some firmware provided by packages linux-firmware and linux-firmware-nonfree (multiverse repo). –  gertvdijk Sep 15 '12 at 12:35
    
@gertvdijk i ran the first command and from the list there is only this for wireless: 02:06.0 Ethernet controller [0200]: Marvell Technology Group Ltd. 88w8335 [Libertas] 802.11b/g Wireless [11ab:1faa] (rev 03) . i really don't have a clue what to do. –  miako Sep 15 '12 at 12:49
    
This card seems very Linux-unfriendly. However, BSD drivers seem to be available. It looks like nobody took the time to port it to Linux because the ndiswrapper approach 'works' too. Try using the Ubuntu ndiswrapper packages instead of compiling yourself. Finding several ndiswrapper how-to's for similar cards isn't too hard (using google). You may want to get an other $10 USB WiFi dongle instead. –  gertvdijk Sep 15 '12 at 13:06
    
@gertvdijk yes i googled it enough but it didn't work out with the ubuntu packages. can you advise me of an ubuntu friendly wireless card to search? –  miako Sep 15 '12 at 13:10
add comment

1 Answer

up vote 1 down vote accepted

This message usually indicates that you're missing the kernel headers. When you compile a third-party kernel module, you need some source files from the kernel and a few additional files that depend on the kernel compile-time configuration and are generated when the kernel is compiled. These files are called “kernel headers”, and most Linux distributions, including Ubuntu, ship them in a separate package. You need the right kernel header package for your kernel version; given the error message, that would be linux-headers-3.2.0-29-generic-pae Install linux-headers-3.2.0-29-generic-pae.

Note that there is already an ndiswrapper package in Ubuntu, you probably don't need to compile it manually. It comes in several pieces: ndiswrapper-dkms Install ndiswrapper-dkms (module sources, packaged for automatic compilation on your system), ndiswrapper-utils Install ndiswrapper-utils (user-space utilities), ndisgtk Install ndisgtk (optional: a GUI frontend), ndiswrapper-common Install ndiswrapper-common (dependency of other packages). Make sure you get all the dependencies.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.